# Uses of Class
java.awt.PageAttributes

Packages that use PageAttributes
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of PageAttributes in java.awt

Methods in java.awt with parameters of type PageAttributes
Modifier and Type
Method
Description
`PrintJob`
Toolkit.`getPrintJob​(Frame frame, String jobtitle, JobAttributes jobAttributes, PageAttributes pageAttributes)`
Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.
`void`
PageAttributes.`set​(PageAttributes obj)`
Sets all of the attributes of this PageAttributes to the same values as the attributes of obj.
Constructors in java.awt with parameters of type PageAttributes
Modifier
Constructor
Description
``
`PageAttributes​(PageAttributes obj)`
Constructs a PageAttributes instance which is a copy of the supplied PageAttributes.